/* Generated by Together */

#ifndef ISCEXTERNALINTERFACE_H
#define ISCEXTERNALINTERFACE_H
#include "IFsmComponentAction.h"
#include "IComponentAction.h"


/** @interface */
class ISCExternalInterface {
public:
	virtual ~ISCExternalInterface(){}

    virtual int initialize() =0;

    /**reconfiguration
     * @description When components are reconfigured at run-time, all components should be reset by external manager.*/
    virtual int reset() =0;

    virtual int finalize() =0;

    virtual int isAlive() =0;

//   virtual int getExecutionType() =0;

//    virtual int setExecutionType() =0;

    virtual int exit() = 0;

    virtual int getState() =0;
};
#endif //ISCEXTERNALINTERFACE_H
